#ifndef UTILS_H
#define UTILS_H

#include <map>
#include <string>

namespace http::utils {
    std::string sha256(const std::string& payload);
    std::string sha256(const char* data, size_t size);
    std::string sha256AsB64(const std::string& payload);

    std::string b64Encode(const char* data, size_t size);
    std::string b64Encode(const std::string& payload);
    std::string b64Decode(const std::string& payload);

    std::map<std::string, std::string> parseCookies(const std::string& cookieStrin);
}

#endif //UTILS_H
